# Package

version       = "1.0.0-alpha"
author        = "Jonathan Bernard"
description   = "What Do I Want To Listen To: Personal music library, server, and player."
license       = "GPL-3.0-or-later"
srcDir        = "src/main/nim"
installExt    = @["nim"]
bin           = @["wdiwtlt"]


# Dependencies

requires "nim >= 1.4.8"
requires @["docopt", "jester", "uuids", "zero_functional"]

requires "https://git.jdb-software.com/jdb/nim-cli-utils.git >= 0.6.3"
requires "https://git.jdb-software.com/jdb/nim-time-utils.git"
requires "https://git.jdb-software.com/jdb/update-nim-package-version"

task updateVersion, "Update the WDIWTLT version.":
  exec "update_nim_package_version wdiwtlt 'src/main/nim/private/version.nim'"

task test, "Runs the test suite.":
  exec "nim c -r src/test/nim/runner"
